diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index 859494b..97e2f2f 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -130977,8 +130977,8 @@ RationalFunction(R:IntegralDomain): Exports == Implementation where
       peval(numer x, ls, lv) / peval(denom x, ls, lv)
 
     peval(p, ls, lv) ==
-      map(foo(ls, lv, #1), #1::Q,
-          p)$PolynomialCategoryLifting(IndexedExponents V,V,R,P,Q)
+      map(z1 +-> foo(ls, lv, z1), z2 +-> z2::Q,p)
+       $PolynomialCategoryLifting(IndexedExponents V,V,R,P,Q)
 
 @
 <<RF.dotabb>>=
diff --git a/changelog b/changelog
index 4aec483..578fb9e 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090619 tpd src/axiom-website/patches.html 20090619.06.tpd.patch
+20090619 tpd books/bookvol10.4 RF +-> conversion
 20090619 tpd src/axiom-website/patches.html 20090619.05.tpd.patch
 20090619 tpd books/bookvol10.4 QCMPACK +-> conversion
 20090619 tpd src/axiom-website/patches.html 20090619.04.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 13a3e9b..5836b60 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1589,5 +1589,7 @@ src/axiom-website/download.html add may2009 binaries<br/>
 bookvol10.4 QALGSET2 +-> conversion<br/>
 <a href="patches/20090619.05.tpd.patch">20090619.05.tpd.patch</a>
 bookvol10.4 QCMPACK +-> conversion<br/>
+<a href="patches/20090619.06.tpd.patch">20090619.06.tpd.patch</a>
+bookvol10.4 RF +-> conversion<br/>
  </body>
 </html>
